package cn.yw.repairmanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywrepairjoboplogDao")
public class YwrepairjoboplogDao  extends SqlMapClientDaoSupport{

	@Autowired
	private SqlMapClient sqlMapClient;
	@PostConstruct
	public void initSqlMapClient(){
		this.setSqlMapClient(sqlMapClient);
	}
	
	/**
	 * 增加记录
	 */
	public void insert_Ywrepairjoboplog(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywrepairjoboplog",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywrepairjoboplog(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywrepairjoboplog",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywrepairjoboplog(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywrepairjoboplog",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywrepairjoboplog(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywrepairjoboplog",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywrepairjoboplog(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywrepairjoboplog",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywrepairjoboplog(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywrepairjoboplog",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywrepairjoboplog(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywrepairjoboplog",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywrepairjoboplog(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywrepairjoboplog",map);
	}
}
